AccessibilityEventMonitor (Java SE 25 & JDK 25)
Description: declaration: module: jdk.accessibility, package: com.sun.java.accessibility.util, class: AccessibilityEventMonitor
Keywords: com.sun.java.accessibility.util.AccessibilityEventMonitor class

# Class AccessibilityEventMonitor

java.lang.Object
com.sun.java.accessibility.util.AccessibilityEventMonitor

public class AccessibilityEventMonitor extends Object

`AccessibilityEventMonitor` implements a PropertyChange listener on every UI object that implements interface `Accessible` in the Java Virtual Machine. The events captured by these listeners are made available through listeners supported by `AccessibilityEventMonitor`. With this, all the individual events on each of the UI object instances are funneled into one set of PropertyChange listeners.

This class depends upon `EventQueueMonitor`, which provides the base level support for capturing the top-level containers as they are created.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final AccessibilityListenerList`
  `listenerList`
  The current list of registered `PropertyChangeListener` classes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessibilityEventMonitor()`
  Constructs an `AccessibilityEventMonitor`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addPropertyChangeListener(PropertyChangeListener l)`
  Adds the specified listener to receive all PropertyChange events on each UI object instance in the Java Virtual Machine as they occur.
  `static void`
  `removePropertyChangeListener(PropertyChangeListener l)`
  Removes the specified listener so it no longer receives PropertyChange events when they occur.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### listenerList

    protected static final AccessibilityListenerList listenerList
    The current list of registered `PropertyChangeListener` classes.
    See Also:
      - `addPropertyChangeListener(PropertyChangeListener)`
      - `removePropertyChangeListener(PropertyChangeListener)`

- ## Constructor Details

  - ### AccessibilityEventMonitor

    public AccessibilityEventMonitor()
    Constructs an `AccessibilityEventMonitor`.

- ## Method Details

  - ### addPropertyChangeListener

    public static void addPropertyChangeListener(PropertyChangeListener l)
    Adds the specified listener to receive all PropertyChange events on each UI object instance in the Java Virtual Machine as they occur.

    Note: This listener is automatically added to all component instances created after this method is called. In addition, it is only added to UI object instances that support this listener type.

    Parameters:
      `l` - the listener to add
    See Also:
      - `removePropertyChangeListener(PropertyChangeListener)`

  - ### removePropertyChangeListener

    public static void removePropertyChangeListener(PropertyChangeListener l)
    Removes the specified listener so it no longer receives PropertyChange events when they occur.
    Parameters:
      `l` - the listener to remove
    See Also:
      - `addPropertyChangeListener(PropertyChangeListener)`